Skip to main content
Back to API List To install a sample bot.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/samplebots/{{botId}}/add
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Bot Definition > Bot Create

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDBot ID or Stream ID which can be accessed under General Settings on the App Builder.Required

Sample Request

curl -X POST 'https://{{host}}/api/public/samplebots/{{bot_id}}/add' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -H 'AccountId: xexxbaxxxbxbxxxxxxxxcxfb' \
  -H 'userId: u-fbxxfxxx-axfd-xfcx-abxx-xcxxxxaxexxx' \
  -H 'bot-language: en'

Body Parameters

No Body parameters are passed.

Sample Response

{
    "visibility": {
        "namespace": "private",
        "namespaceIds": [
            "u-fbxxxxxx-a5xx-5xx8-abxx-6cxxxxxxxxxx"
        ]
    },
    "languages": [],
    "screenShots": [],
    "downloadCount": 0,
    "alerts": [
        "l-bexxxxxx-dxxe-5xx1-84xx-c0xxxxxxxxxx"
    ],
    "actions": [],
    "dialogs": [
        "dg-cbxxxxxx-cxx4-5fxx-8xx6-b2xxxxxxxxxx",
        "dg-35xxxxxx-bxx7-58xx-bxxa-0bxxxxxxxxxx"
    ],
    "widgets": [],
    "panels": [],
    "forms": [],
    "featured": false,
    "state": "setup",
    "defaultLanguage": "en",
    "_id": "st-cxxxxxxe-exxe-5xx3-8xx0-2cxxxxxxxxxx",
    "name": "Asana Sample_owner@example.com",
    "originalName": "Asana Sample",
    "color": "#E44929"
}